package cn.com.countrygarden.bi.main.service.performance.common;

import cn.com.countrygarden.bi.main.model.performance.dto.ElementDto;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 绩效功能的统一接口
 * @Author:Wyman
 * @Date:2018/10/29
 */
public interface PerformanceService {

    /**
     * 我的考核
     * @param selectAreaList
     * @param year
     * @param quarter
     * @param userCode
     * @return
     */
     Object myPerformance(String[] selectAreaList, int year,int quarter, String userCode, String typeNo);

    Object myPerformance2(String[] selectAreaList, int year, String userCode, String typeNo);


    Object getAreaInfo(String[] hierarchyIdList, String userCode, String typeNo);

    Object getAreaSum(String[] hierarchyIdList, int year, String userCode, String typeNo);

    /**
     * 绩效分析--根据指标id获取所有季度的平均分
     */
    Object getElementAveScore(long elementId);

    /**
     * 指标的绩效分析
     * @param elementId
     * @param typeNo
     * @param userCode
     * @return
     */
     Object performanceAnalysis(long elementId, String typeNo, String userCode, int quarter);

    /**
     * 根据类型获得所有指标
     * @param typeNo
     * @return
     */
     List<ElementDto> getAllElements(String typeNo);

    /**
     * 获得所有类型
     * @return
     */
    List<String> getAllType();

    /**
     * 分类发布功能
     * @param typeNo
     * @return
     */
    Object releaseFun(String typeNo);

    /**
     * 获取对应分类的发布状态
     * @param typeNo
     * @return
     */
    Object publicStatus(String typeNo);

}
